﻿using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;
using Syncfusion.SfSchedule.XForms;

namespace ScheduleSample
{
    public class ScheduleBehavior : Behavior<ContentPage>
    {
        SfSchedule schedule;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            schedule = bindable.FindByName<SfSchedule>("schedule");
            schedule.CellTapped += Schedule_CellTapped;
        }

        private async void Schedule_CellTapped(object sender, CellTappedEventArgs e)
        {
            if (e.Appointment != null && schedule.ScheduleView == ScheduleView.DayView)
            {
                await App.Current.MainPage.DisplayAlert("", "Day view appointment tapped", "Okay");
            }
            else if (e.Appointments != null && schedule.ScheduleView == ScheduleView.MonthView)
            {
                schedule.ScheduleView = ScheduleView.DayView;
            }
        }

        protected override void OnDetachingFrom(ContentPage bindable)
        {
            base.OnDetachingFrom(bindable);
            schedule = null;
        }

    }
}
